devel/glib2 - The NetBSD Packages Collection

Some useful routines for C programming (glib2)

GLib provides the core application building blocks for libraries
and applications written in C.  It provides the core object system
used in GNOME, the main loop implementation, and a large set of
utility functions for strings and common data structures.

This package contains GLib version 2.

Build dependencies

lang/python38 lang/python38 pkgtools/cwrappers textproc/py-expat devel/meson devel/pkgconf

Runtime dependencies

devel/pcre devel/libffi devel/pcre devel/libffi

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfglib2-2.66.4.tgz
NetBSD 8.0earmv7hfglib2-2.64.5nb1.tgz
NetBSD 8.0earmv7hfglib2-2.66.8nb1.tgz
NetBSD 8.0earmv7hfglib2-2.68.2.tgz
NetBSD 8.0earmv7hfglib2-2.66.4.tgz
NetBSD 8.0i386glib2-2.64.5nb1.tgz
NetBSD 8.0i386glib2-2.66.4.tgz
NetBSD 8.0i386glib2-2.66.8nb1.tgz
NetBSD 8.0i386glib2-2.68.2.tgz
NetBSD 8.0powerpcglib2-2.64.5nb1.tgz
NetBSD 8.0powerpcglib2-2.66.8.tgz
NetBSD 8.0powerpcglib2-2.66.4.tgz
NetBSD 8.0powerpcglib2-2.66.8.tgz
NetBSD 8.0x86_64glib2-2.66.8nb1.tgz
NetBSD 8.0x86_64glib2-2.64.5nb1.tgz
NetBSD 8.0x86_64glib2-2.66.4.tgz
NetBSD 8.0x86_64glib2-2.68.2.tgz
NetBSD 9.0aarch64glib2-2.68.2.tgz
NetBSD 9.0aarch64glib2-2.64.5nb1.tgz
NetBSD 9.0aarch64glib2-2.66.4.tgz
NetBSD 9.0aarch64glib2-2.66.8nb1.tgz
NetBSD 9.0alphaglib2-2.66.8.tgz
NetBSD 9.0alphaglib2-2.66.8nb1.tgz
NetBSD 9.0alphaglib2-2.68.2.tgz
NetBSD 9.0earmglib2-2.66.8.tgz
NetBSD 9.0earmglib2-2.68.2.tgz
NetBSD 9.0earmv6hfglib2-2.66.8nb1.tgz
NetBSD 9.0earmv6hfglib2-2.64.5nb1.tgz
NetBSD 9.0earmv6hfglib2-2.66.4.tgz
NetBSD 9.0earmv6hfglib2-2.66.4.tgz
NetBSD 9.0earmv6hfglib2-2.68.2.tgz
NetBSD 9.0earmv7hfglib2-2.66.8nb1.tgz
NetBSD 9.0earmv7hfglib2-2.64.5nb1.tgz
NetBSD 9.0earmv7hfglib2-2.66.4.tgz
NetBSD 9.0earmv7hfglib2-2.66.4.tgz
NetBSD 9.0earmv7hfglib2-2.66.8nb1.tgz
NetBSD 9.0earmv7hfglib2-2.68.2.tgz
NetBSD 9.0earmv7hfglib2-2.68.2.tgz
NetBSD 9.0earmv7hfglib2-2.66.4.tgz
NetBSD 9.0i386glib2-2.64.5nb1.tgz
NetBSD 9.0i386glib2-2.66.4.tgz
NetBSD 9.0i386glib2-2.66.8nb1.tgz
NetBSD 9.0i386glib2-2.68.2.tgz
NetBSD 9.0m68kglib2-2.66.8.tgz
NetBSD 9.0m68kglib2-2.64.5nb1.tgz
NetBSD 9.0m68kglib2-2.68.2.tgz
NetBSD 9.0mips64ebglib2-2.66.8.tgz
NetBSD 9.0mips64ebglib2-2.66.8nb1.tgz
NetBSD 9.0mips64ebglib2-2.64.5nb1.tgz
NetBSD 9.0mips64ebglib2-2.66.4.tgz
NetBSD 9.0mips64ebglib2-2.68.2.tgz
NetBSD 9.0mipselglib2-2.66.4.tgz
NetBSD 9.0mipselglib2-2.66.8.tgz
NetBSD 9.0mipselglib2-2.68.2.tgz
NetBSD 9.0powerpcglib2-2.66.4.tgz
NetBSD 9.0powerpcglib2-2.64.5nb1.tgz
NetBSD 9.0powerpcglib2-2.66.8.tgz
NetBSD 9.0powerpcglib2-2.66.8nb1.tgz
NetBSD 9.0powerpcglib2-2.66.8.tgz
NetBSD 9.0powerpcglib2-2.66.8nb1.tgz
NetBSD 9.0powerpcglib2-2.66.8.tgz
NetBSD 9.0sh3elglib2-2.64.5nb1.tgz
NetBSD 9.0sh3elglib2-2.66.4.tgz
NetBSD 9.0sh3elglib2-2.66.8.tgz
NetBSD 9.0sh3elglib2-2.68.2.tgz
NetBSD 9.0sparc64glib2-2.66.8.tgz
NetBSD 9.0sparc64glib2-2.66.8nb1.tgz
NetBSD 9.0sparc64glib2-2.68.2.tgz
NetBSD 9.0sparcglib2-2.66.8.tgz
NetBSD 9.0sparcglib2-2.66.8nb1.tgz
NetBSD 9.0sparcglib2-2.64.5nb1.tgz
NetBSD 9.0sparcglib2-2.66.4.tgz
NetBSD 9.0sparcglib2-2.68.2.tgz
NetBSD 9.0x86_64glib2-2.66.4.tgz
NetBSD 9.0x86_64glib2-2.68.2.tgz
NetBSD 9.0x86_64glib2-2.66.8.tgz
NetBSD 9.0x86_64glib2-2.66.8nb1.tgz
NetBSD 9.0x86_64glib2-2.64.5nb1.tgz
NetBSD 9.0x86_64glib2-2.66.4.tgz
NetBSD 9.0x86_64glib2-2.68.3nb1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

fam
Support using File Alteration Monitor (FAM).

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.